#!/bin/csh

cd 64bit
service ipmi start
if ($?LD_LIBRARY_PATH) then
	setenv LD_LIBRARY_PATH .:$LD_LIBRARY_PATH
else
	setenv LD_LIBRARY_PATH .
endif
rm -f fw.log
rm -f fw_pass.txt
rm -f fw_fail.txt
chmod a+x bmcfwub
./bmcfwub -f -debugmsg -l=fw.log -i=../../../../fw/235.img
sleep 20
service ipmi stop
chmod a+x UP_LOG
./UP_LOG b fw.log fw_pass.txt fw_fail.txt
rm -f fw.log
cd ..
